Loading...
Searching...
No Matches
casacore::MSMetaData::SubScanProperties Struct Reference

`#include <MSMetaData.h>`

## Public Attributes

rownr_t | acRows
| number of auto-correlation rows
rownr_t | xcRows
| number of cross-correlation rows.
std::set< Int > | antennas
Double | beginTime
std::set< uInt > | ddIDs
Double | endTime
std::map< uInt, Quantity > | meanInterval
| the key is the spwID, the value is the meanInterval for the subscan and that spwID
FirstExposureTimeMap | firstExposureTime
| The Int represents the data description ID, The Double represents the time of the first time stamp, The Quantity represents the exposure time for the corresponding data description ID and time stamp.
Quantity | meanExposureTime
std::set< uInt > | spws
std::map< uInt, rownr_t > | spwNRows
| number of rows for each spectral window
std::set< Int > | stateIDs
std::map< Double, TimeStampProperties > | timeProps

## Detailed Description

Definition at line 89 of file MSMetaData.h.

## Member Data Documentation

## acRows

rownr_t casacore::MSMetaData::SubScanProperties::acRows

number of auto-correlation rows

Definition at line 91 of file MSMetaData.h.

## antennas

std::set<Int> casacore::MSMetaData::SubScanProperties::antennas

Definition at line 94 of file MSMetaData.h.

## beginTime

Double casacore::MSMetaData::SubScanProperties::beginTime

Definition at line 95 of file MSMetaData.h.

## ddIDs

std::set<uInt> casacore::MSMetaData::SubScanProperties::ddIDs

Definition at line 96 of file MSMetaData.h.

## endTime

Double casacore::MSMetaData::SubScanProperties::endTime

Definition at line 97 of file MSMetaData.h.

## firstExposureTime

FirstExposureTimeMap casacore::MSMetaData::SubScanProperties::firstExposureTime

The Int represents the data description ID, The Double represents the time of the first time stamp, The Quantity represents the exposure time for the corresponding data description ID and time stamp.

Definition at line 105 of file MSMetaData.h.

## meanExposureTime

Quantity casacore::MSMetaData::SubScanProperties::meanExposureTime

Definition at line 106 of file MSMetaData.h.

## meanInterval

std::map<uInt, Quantity> casacore::MSMetaData::SubScanProperties::meanInterval

the key is the spwID, the value is the meanInterval for the subscan and that spwID

Definition at line 100 of file MSMetaData.h.

## spwNRows

std::map<uInt, rownr_t> casacore::MSMetaData::SubScanProperties::spwNRows

number of rows for each spectral window

Definition at line 109 of file MSMetaData.h.

## spws

std::set<uInt> casacore::MSMetaData::SubScanProperties::spws

Definition at line 107 of file MSMetaData.h.

## stateIDs

std::set<Int> casacore::MSMetaData::SubScanProperties::stateIDs

Definition at line 110 of file MSMetaData.h.

## timeProps

std::map<Double, TimeStampProperties> casacore::MSMetaData::SubScanProperties::timeProps

Definition at line 111 of file MSMetaData.h.

## xcRows

rownr_t casacore::MSMetaData::SubScanProperties::xcRows

number of cross-correlation rows.

Definition at line 93 of file MSMetaData.h.

The documentation for this struct was generated from the following file:

- ms/MSOper/MSMetaData.h